/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.kernel.deployment.jboss.test;

import org.jboss.test.JBossTestCase;

/**
 * Deployment tests.
 * 
 * @author <a href="dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.1.2.1 $
 */
public class ServicePOJOUnitTestCase extends JBossTestCase
{
   public ServicePOJOUnitTestCase(String test)
   {
      super(test);
   }
   
   public void testConfigPOJOService() throws Exception
   {
      try
      {
         deploy("testkernel-servicepojo.beans");
      }
      catch (Exception e)
      {
         getLog().info(e);
         throw e;
      }
      finally 
      {
         undeploy("testkernel-servicepojo.beans");
      }      
   }
}
